/* Based on https://www.w3schools.com/howto/howto_js_slideshow.asp */

.slideshow-container {
    width: 100%;
}

.slideshow-container img {
    margin: auto;
    width: 100%;
    border-radius: 10px;
    display: flex;
}

.slideshow-container video {
    margin: auto;
    width: 100%;
    border-radius: 10px;
    display: flex;
}

.slideshow-container iframe {
    margin: auto;
    width: 100%;
    border-radius: 10px;
    display: flex;
    aspect-ratio: 16 / 9;
}

.slideshow-container div {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 90%;
}

.mySlides {
    display: none;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  width: auto;
  padding-left: 16px;
  padding-right: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 5px;
  user-select: none;
}


/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: #333333c2;
}

.dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    transition: background-color 0.6s ease;
}

.slideactive, .dot:hover {
    background-color: #717171;
}

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
}